Bug Hunting Session
Bug 106387 - Row in table splits even "Allow table to split across pages and columns" is unchecked
Summary: Row in table splits even "Allow table to split across pages and columns" is u...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-03-07 15:01 UTC by Mark Hung
Modified: 2018-03-12 03:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample that uncheck "Allow table to split across pages and columns" (30.31 KB, application/vnd.oasis.opendocument.text)
2017-03-07 15:01 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2017-03-07 15:01:42 UTC
Created attachment 131700 [details]
Sample that uncheck "Allow table to split across pages and columns"

Steps to reproduce:
1. Create a new document, insert a table with 2 rows and 1 column.
2. Enter contents so that the cell in the second row go across the page.
3. Edit table properties, by default both "Allow table to split across pages and columns" and "Allow row break across pages and columns" are checked.
4. Uncheck "Allow table to split across pages and columns", now the checkbox of "Allow row break across pages and columns" is disabled, but is still checked.
5. The second row still break across pages ( as in the attached sample. ).

Expected result:
Uncheck "Allow table to split across pages and columns" should have disabled both "Allow table to split across pages and columns" and "Allow row break across pages and columns". It should work like both unchecked.
Comment 1 Buovjaga 2017-03-11 20:02:50 UTC
Confirmed.

Btw., I tried this with your document: check "Allow table.." again, uncheck "Allow row", uncheck "Allow table.." again. Result: 1., 2. and 3. are on page 1. On page 2 the table flows beyond the page area, disappearing.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 43af3605d7e3b372dcc61f9cbc2cabff09396ed5
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 10th 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2018-03-12 03:35:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug